WordPress.org

Support

Support » How-To and Troubleshooting » Deprecated function.

Deprecated function.

  • Two of the sites I work on have suddenly thrown up the following notice:

    Deprecated: Function set_magic_quotes_runtime() is deprecated in /usr/home/customers/www.site.co.uk/www/wp-settings.php on line 19

    I’ve had a look through the files and at the latest wordpress wp-settings.php file and that line is still there. I’m not sure whats going on with this. I don’t even know if both sites are the latest wordpress.

    Any help would be greatly appriciated.

    Aravona

Viewing 3 replies - 1 through 3 (of 3 total)
  • Comment out or remove the line altogether.
    your host must have upgraded to php 5.3 where this has been deprecated

    I am also running php 5.3 and getting a number of Deprecated warnings from wp-settings.php in WP 3.0.

    Deprecated: Assigning the return value of new by reference is deprecated in path/to/wordpress/wp-settings.php on lines 204, 219, 226, 233, 258

    Deprecated: Function set_magic_quotes_runtime() is deprecated in path/to/wordpress/wp-settings.php on line 27

    samboll, your response is not really helpful. The correct response is for the WP folks to change all this deprecated code to something NOT deprecated, since we can’t very well comment out the lines referenced in the first warning message, can we?

    Do you have debugging enabled or error reporting on?

    It’s specific to php 5.3 deprecating a pass by reference method which is currently used in wp-settings.php, you wouldn’t see this on PHP 5.2.

    It’s an E_STRICT message that you should only see if you’ve explicitly set the error reporting level, according to the PHP docs at least (default error level reporting shouldn’t display the deprecated message).

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Deprecated function.’ is closed to new replies.